Get a list of Admin Users for an account.
Parameters
No parameters.
curl -X GET "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/manage-profile/adminUsers/" \
-H "Authorization: Bearer $SENTINEL_TOKEN"
Account profile, contact, security, billing card, notifications, and preference settings.
Get a list of Admin Users for an account.
Parameters
No parameters.
curl -X GET "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/manage-profile/adminUsers/" \
-H "Authorization: Bearer $SENTINEL_TOKEN"Get Contact Information for an account.
Parameters
No parameters.
curl -X GET "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/manage-profile/contactInformation/" \
-H "Authorization: Bearer $SENTINEL_TOKEN"Save Contact Information of an account.
Parameters
ContactInformationbodyContactInformationrequiredAll the contact information on a particular account
curl -X POST "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/manage-profile/contactInformation/" \
-H "Authorization: Bearer $SENTINEL_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"example": true,
"corpId": "NORTHSTAR-ISD"
}'Get Credit Card Information for a non-PLTE account. This endpoint can be accessed only by scope org_super (Master Admin).
Parameters
No parameters.
curl -X GET "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/manage-profile/creditCardInformation/" \
-H "Authorization: Bearer $SENTINEL_TOKEN"Save Credit Card Information for a non-PLTE account. This endpoint can be accessed only by scope org_super (Master Admin).
Parameters
CreditCardFormbodyCreditCardFormPostrequiredCredit card information
curl -X POST "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/manage-profile/creditCardInformation/" \
-H "Authorization: Bearer $SENTINEL_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"example": true,
"corpId": "NORTHSTAR-ISD"
}'Deletes Credit Card Information of a non-PLTE account. JWT is sufficient for this endpoint. This endpoint can be accessed only by scope org_super (Master Admin).
Parameters
No parameters.
curl -X DELETE "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/manage-profile/creditCardInformation/" \
-H "Authorization: Bearer $SENTINEL_TOKEN"Get Device Status Message Preference for a non-PLTE account. This endpoint can be accessed only by scope org_super (Master Admin).
Parameters
No parameters.
curl -X GET "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/manage-profile/deviceStatusMessage/" \
-H "Authorization: Bearer $SENTINEL_TOKEN"Saves Device Status Message Preference for a non-PLTE account. This endpoint can be accessed only by scope org_super (Master Admin).
Parameters
messagebodyobjectrequiredNew device status message
curl -X POST "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/manage-profile/deviceStatusMessage/" \
-H "Authorization: Bearer $SENTINEL_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"example": true,
"corpId": "NORTHSTAR-ISD"
}'Get Email Notification Preference for a non-PLTE account. This endpoint can be accessed only by scope org_super (Master Admin) or org_tech (Admin).
Parameters
No parameters.
curl -X GET "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/manage-profile/emailNotification/" \
-H "Authorization: Bearer $SENTINEL_TOKEN"Saves Email notification preferences for the user of a non-PLTE account. This endpoint can be accessed only by scope org_super (Master Admin) or org_tech (Admin).
Parameters
NotificationModelbodyobjectrequiredTo send an email alert depending on whether device is dormant or not.
curl -X POST "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/manage-profile/emailNotification/" \
-H "Authorization: Bearer $SENTINEL_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"example": true,
"corpId": "NORTHSTAR-ISD"
}'Get Lost/Stolen Message Preference for a non-PLTE account. This endpoint can be accessed only by scope org_super (Master Admin).
Parameters
No parameters.
curl -X GET "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/manage-profile/lostStolenMessage/" \
-H "Authorization: Bearer $SENTINEL_TOKEN"Saves message to display when device switches on after it is lost or stolen for a non-PLTE account. This endpoint can be accessed only by scope org_super (Master Admin).
Parameters
messagebodyobjectrequiredNew lost/stolen message
curl -X POST "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/manage-profile/lostStolenMessage/" \
-H "Authorization: Bearer $SENTINEL_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"example": true,
"corpId": "NORTHSTAR-ISD"
}'Get Provinces
Parameters
No parameters.
curl -X GET "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/manage-profile/provinces/" \
-H "Authorization: Bearer $SENTINEL_TOKEN"Get Secret questions
Parameters
No parameters.
curl -X GET "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/manage-profile/secretQuestions/" \
-H "Authorization: Bearer $SENTINEL_TOKEN"Get Security Information of an account.
Parameters
No parameters.
curl -X GET "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/manage-profile/securityInformation/" \
-H "Authorization: Bearer $SENTINEL_TOKEN"Save Security Information of an account.
Parameters
SecuritySettingsFormbodySecuritySettingsFormrequiredSecurity information of a particular account. If current password is specified, then new and confirm passwords are required. The question and answer must also both be specified if one is updated.
curl -X POST "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/manage-profile/securityInformation/" \
-H "Authorization: Bearer $SENTINEL_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"example": true,
"corpId": "NORTHSTAR-ISD"
}'Enable summer suspension.
Parameters
Summer SuspensionbodyobjectrequiredPass the summer suspension start date and end date and optional list of IMEIs with exemption from summer suspension only if user is ORG_SUPER.
curl -X POST "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/manage-profile/summerSuspension" \
-H "Authorization: Bearer $SENTINEL_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"example": true,
"corpId": "NORTHSTAR-ISD"
}'Update summer suspension time frame.
Parameters
Summer SuspensionbodyobjectrequiredPass the summer suspension time frame
curl -X PUT "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/manage-profile/summerSuspension" \
-H "Authorization: Bearer $SENTINEL_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"corpId": "NORTHSTAR-ISD",
"note": "Example update payload — confirm schema in Swagger before wiring production."
}'Disable summer suspension
Parameters
No parameters.
curl -X DELETE "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/manage-profile/summerSuspension" \
-H "Authorization: Bearer $SENTINEL_TOKEN"Get Time Zones
Parameters
No parameters.
curl -X GET "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/manage-profile/timeZones/" \
-H "Authorization: Bearer $SENTINEL_TOKEN"Grab a Dev SIM, get an API key, and POST /v1.0/auth/token from anywhere.